import {
    IsArray,
    IsInt
} from "class-validator";
import { Runner } from './Runner';

/**
 * Defines the certificate runner class (from which the runner certificates get generated).
*/
export class CertificateRunner extends Runner {

    /**
     * The total distance ran by the runner.
     */
    @IsInt()
    distance: number;

    /**
     * Array containing all distance donations associated with the runner.
     */
    @IsArray()
    distanceDonations: any[];
}
